﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using DependencyInjection7.Abstractions;
using DependencyInjection7.Utility;

namespace DependencyInjection7.Functionality
{
    [CustomExport(typeof(ITaxCalculator), ExportModes.Fake)]
    class FakeTenPercentTaxCalculator : ITaxCalculator
    {
        public decimal AddTax(decimal amount)
        {
            // Just add ten percent tax, for testing
            Console.WriteLine("Calling the Fake Tax Calculator");
            return amount * 1.10m;
        }
    }
}
